List form submissions
curl --request GET \
--url https://api.formbnb.com/forms/{id}/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.formbnb.com/forms/{id}/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.formbnb.com/forms/{id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"submissions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {},
"createdAt": "<string>",
"ipHash": "<string>",
"city": "<string>",
"region": "<string>",
"regionCode": "<string>",
"country": "<string>",
"continent": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"postalCode": "<string>",
"timezone": "<string>",
"os": "<string>",
"browser": "<string>",
"device": "<string>",
"userAgent": "<string>",
"referrer": "<string>",
"utmCampaign": "<string>",
"utmSource": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Forms
List Form Submissions
Get all submissions for a form with pagination and filtering.
GET
/
forms
/
{id}
/
submissions
List form submissions
Authorizations
Authentication using either a FormBnB session JWT (issued by /auth) or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.
Path Parameters
Form ID
Query Parameters
Maximum number of submissions to return
Number of submissions to skip
Filter submissions since this date (ISO 8601)
Sort order (asc/desc)
Was this page helpful?
⌘I